<template>
  <svg :class="direction === 'to-top' ? 'to-top' : ''"
       width=".5rem" height=".375rem"
       viewBox="0 0 8 6" fill="none"
       :stroke="active ? '#5CC6B8' : '#BDC5D8'"
       xmlns="http://www.w3.org/2000/svg">
    <path d="M1 1L4 4L7 1" stroke-width="2" stroke-linecap="round"/>
  </svg>
</template>

<script>
  export default {
    name: 'IconSmallArrow',
    props: {
      active: {
        type: Boolean,
        default: false
      },
      direction: {
        type: String,
        default: 'to-bottom'
      }
    }
  }
</script>

<style scoped lang="scss">
  .to-top {
    transform: rotate(180deg);
  }
</style>
